Subject: Re: bug#12350: Composites identified as primes in factor.c (when HAVE_GMP)

From: Torbjorn Granlund <[email-masked]>
Date: Fri, 14 Sep 2012 15:00:40 +0200

Jim Meyering <[email-masked]> writes:

  Torbjorn Granlund wrote:
  
  > I merged your changes, and made several analogous changes.
  > The code now passes strict compilation with and without HAVE_GMP.
  >
  > I did not merge the tests changes yet.
  >
  > Please grab our version from our repo.
  >
  > If your repo is public, please let me now how to access it.  Else,
  > please either send a diff -c between your version and our repo version,
  > or your full file.
  
  Oh, if you don't mind making some simple, automated changes,
  I'd appreciate if you were to expand all TABs in these files:
  
    factor.c
    longlong.h
    make-prime-list.c
    ourseq.c
  
I would advice against making such changes to longlong.h, since it might
make sense to keep it equal to the GMP version.  We don't plan to stop
using TAB in GMP.

But feel free to make any changes to the coreutils versions of any of
these files; we then simply need to pass -b to diff.

  And there remain a few longer-than-79 lines:
  
      $ wc -L *.[ch]
          83 factor.c
          88 longlong.h
          79 make-prime-list.c
          79 ourseq.c
          88 total
  
  Can you split them?
  
Same goes for this type of changes.  

I don't see any lines that makes the program hard to read.

-- 
Torbjörn